Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class ComputationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.common.collect.ComputationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AsynchronousComputationException

    @GwtCompatible
    public class ComputationException

extends RuntimeException

Wraps an exception that occurred during a computation.

Since:
  2.0 (imported from Google Collections Library)
Author:
  Bob Lee
See Also:
  Serialized Form

Constructor Summary
`ComputationException(Throwable cause)` Creates a new instance with the given cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComputationException

    public ComputationException(Throwable cause)

  Creates a new instance with the given cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.